<a href="./README.md"><img src="https://img.shields.io/badge/🇬🇧English-e9e9e9" width="100"></a>
<a href="./READMECN.md"><img src="https://img.shields.io/badge/🇨🇳中文简体-0b8cf5" width="100"></a>
## Colorista调色师
<a href="https://space.bilibili.com/1220061774">
  <img src="https://github.com/user-attachments/assets/7bf4d809-ae68-4bfc-a49f-bdefc1f149d0" alt="image" width="150">
</a>

专为调色师设计的快捷调色工具，允许一键构建AGX调色面板，并直接在视口中实时预览效果

## 特性

·一键进入实时色彩调整模式

·直接可用的专用调色板面板

·同步色彩管理

·支持历史记录

·支持预设设置

·支持中文和英文


## Colorista Ⅵ使用

---

### 观察模块

调色完成后开启本参数，数值为0.5时，左边是原图右边是调色完成的图。如果你想左边是调色完成的右边是原图你可以手动输入负数比如0.5

### 矫正系列

**质感增强**  
全方位增强画面质感，提升画面通透感。对AGX和电影化效果尤为显著，标准和中性PBR也有一定效果。强烈建议将数值调至最大。  
注意：每个画面的效果有所不同，动画处理中可能会出现前后帧调色不一致的情况。可以将参数调节为负数，效果稍差，但能确保上下帧调色一致。

**自动白平衡**  
自动调整画面的白平衡，特别在画面有大面积白色时效果突出。  
建议：白平衡应为首选调整项，完成其他调色后再调整白平衡可能会导致色彩不准确。

**色温（人眼）**  
与传统色温不同，此参数仅调整画面冷暖色调，简单调节画面偏冷或偏暖。

**色彩迁移**  
调整画面色彩倾向，选择任意颜色即可看到效果。

---

### 曝光系列

**明度**  
调节画面的明暗，效果比曝光度柔和。

**曝光度**  
调节整体画面的明暗，效果比明度更强烈。

---

### 光影调节系列

**高光**  
精准调节高光的明暗，精确度高是我的自信之作。

**亮部**  
调节画面亮部的明暗。

**阴影**  
调节画面阴影的明暗。

**暗部**  
调节画面暗部的明暗。

---

### 对比度系列

**锐利**  
提高画面对比度时，倾向于增强画面的清晰度。

**深度**  
提高画面对比度时，倾向于增强画面的立体感。

---

### 视觉清晰系列

**纹理**  
增强中等细节，不影响整体对比度或边缘细节，专注于提升细微细节如皮肤质感或物体表面的纹理。

**清晰度**  
增强局部对比度，通常用于提升中频细节，使图像看起来更加立体锐利。过大数值会使图像变暗，不建议过高设置。

**自然锐化**  
不会产生噪点，不影响对比度，效果细腻微妙。推荐最大值。是视觉清晰系列最推荐的调节项。

**噪点锐化**  
类似传统锐化工具，过高数值可能产生噪点，建议与“降低杂色”配合使用。

**降低杂色**  
减少由明暗对比引起的噪点，但无法去除因采样不足导致的噪点。数值过大会丢失细节，建议与“噪点锐化”配合使用。

---

### 饱和度系列
本系列采用类似LAB算法，并结合钳制机制，解决了传统合成器在调节饱和度时常出现的色相偏移问题。传统合成器在调节饱和度时，往往会使饱和度超越极限值，从而导致画面色相发生不可控的改变，影响整体色彩平衡。而我们的饱和度系列则严格控制色相，确保在提升饱和度的同时，色相保持稳定，避免了常见的色偏问题。

**多层次**
提高饱和度的同时，增强画面饱和度的层次感。推荐在增加饱和度后使用全局降低饱和度，使画面的色彩更具深度和层次感，而不会让饱和度过于强烈。

**自然**
优先增强低饱和区域的饱和度，使图像的色彩看起来更加自然和和谐。

**强彩**
优先增强高饱和区域的饱和度，适合需要高饱和度效果的场景，提升画面色彩的冲击力。

**全局**
调整整体饱和度，适合需要全面控制色彩强度的情况。

---

### 去色系列

**人眼**  
在调整画面明暗时，不仅影响明度，还考虑饱和度和色相的变化。适用于观看画面的明暗层次时的观察优化。

**明度**  
单纯调节明度。与“人眼去色”同时开启时，后者优先生效。

---

### 辉光系列

**范围**  
调整辉光和星芒出现的区域范围。

**辉光强度**  
增加画面中的辉光效果。

**星芒强度**  
增加星形辉光效果。

---

### 特效系列

**涂抹/胶片颗粒**  
调节画面呈现油画风格的融合感（左滑），或调节彩色噪点（右滑），彩色噪点主要出现在模型边缘，效果较为细腻。

**马赛克/黑白条漫**  
左滑显示马赛克效果，右滑呈现早期黑白漫画风格。

**镜头失真**  
模拟镜头失真，右滑为放大，左滑为缩小。

**晕影**  

正数加亮角，负数加暗角

## 创建自己的项目
1.打开“编写”面板并连接节点/节点组。

2.在要在面板上显示的节点/节点组的标签上，填写序列号，如01、02、03、04等

3.保存文件并将其放置在Colorista\resource\EN\your文件夹中

4.如果你需要缩略图，你可以考虑a混合和a.png的组合

![image](https://github.com/user-attachments/assets/8b65b899-2bb8-4028-9a16-afd3a98bb936)


## 限制

·模板可以存预设，但原理上是保存文件到同名文件夹中，所以改模板不会同步更改预设。（删减节点或者其他参数，用程序记录不仅麻烦还会有限制，所以如果更改建议重新保存）

·不建议使用不正确的ACES设置

## 制作者

[朔朔的搅拌机日常](https://space.bilibili.com/1220061774) 为调色板提供了主要的节点生成，这是该工具诞生的关键。

[KarryCharon](https://space.bilibili.com/319473039) 已完成该工具的代码开发。

[BlenderCN-LJ](https://space.bilibili.com/35723238) 负责调试、更改，书写文档和安利此工具。
